# docker-ttrss

This [Docker](https://www.docker.com) image allows you to run the [Tiny Tiny RSS](http://tt-rss.org) feed reader.
Keep your feed history to yourself and access your RSS and atom feeds from everywhere.
You can access it through an easy to use webinterface on your desktop, your mobile browser
or using one of the available apps.
The image is origially based on [clue/docker-ttrss](https://github.com/clue/docker-ttrss) and stripped to most simple operation.

## About Tiny Tiny RSS

> *From [the official readme](http://tt-rss.org/redmine/projects/tt-rss/wiki):*

Tiny Tiny RSS is an open source web-based news feed (RSS/Atom) reader and aggregator,
designed to allow you to read news from any location,
while feeling as close to a real desktop application as possible.

## Getting started

This section assumes you want to get started quickly, the following sections explain the
steps in more detail. So let's start.

### Setting up MariaDB container

```bash
$  docker run --rm --name ttrssdb -e MYSQL_ROOT_PASSWORD=my-secret-pw -d mariadb:latest
```

### Setting up TTRSS container

```bash
$ docker run -d --link ttrssdb:ttrssdb -p 8080:80 \
    -e DB_TYPE=mysql \
    -e DB_HOST=ttrssdb \
    -e DB_PORT=3306 \
    -e DB_NAME=servers_ttrss \
    -e DB_USER=root \
    -e DB_PASS=my-secret-pw \
    -e DB_ENV_USER=root \
    -e DB_ENV_PASS=my-secret-pw \
    -e SELF_URL_PATH=http://localhost:8080/ \
    bunix42/ttrss
```
### First time access of the web webinterface

The above example exposes the Tiny Tiny RSS webinterface on port 80, so that you can browse to:

http://localhost:8080/

The default login credentials are:

* Username: admin
* Password: password

Obviously, you're recommended to change these as soon as possible.